searchNodes=[{"doc":"Dynamic drop down input for live view The LiveSelect input is rendered by calling the live_select/3 function and passing it a form and the name of the input. LiveSelect with create a text input field in which the user can type text. As the text changes, LiveSelect will render a dropdown below the text input with the matching options, which the user can then select. Update the content of the dropdown Whenever the user types something in the text input, LiveSelect sends a message with the current text and its component id to the LiveView. The LiveView's job is to handle_info/2 the message and then call LiveSelect.update/2 to update the dropdown's content. See the &quot;Example&quot; section below. Styles You can use the style option in live_select/3 to control which style will be used. Currently supported values are :daisyui (default) or :none . LiveSelect styles the following elements: The outer container of the component The text field The text field when an option has been selected The dropdown with the options The active option the user navigated to using the arrow keys For each of these components there is a {component}_class and for some a {component}_extra_class option, which can be used to either override or extend the default CSS classes for the component The following table shows the default styles for each component and the options you can use to adjust its CSS classes. Component Default daisyUI class class override option class extend option outer container &quot;dropdown&quot; container_class container_extra_class text field &quot;input input-bordered&quot; text_input_class text_input_extra_class text field selected &quot;input-primary text-primary&quot; text_input_selected_class dropdown &quot;dropdown-content menu menu-compact shadow bg-base-200 rounded-box&quot; dropdown_class dropdown_extra_class active option &quot;active&quot; active_option_class For example, if you want to show a full-width LiveSelect component with a secondary color for the dropdown background and a active options with a warning background, you can do this: live_select ( &quot;my_form&quot; , &quot;my_input&quot; , container_extra_class : &quot;w-full&quot; , text_input_extra_class : &quot;w-full&quot; , dropdown_extra_class : &quot;w-full bg-secondary&quot; , active_option_class : &quot;bg-warning&quot; ) Result: Example Template: &lt; . form for = { :my_form } let = { f } phx - change = &quot;change&quot; &gt; &lt; % = live_select f , :city_search % &gt; &lt; / . form &gt; LiveView: import LiveSelect @impl true def handle_info ( { &quot;live_select_change&quot; , change_msg } , socket ) do cities = City . search ( change_msg . text ) // cities : // { &quot;city name 1&quot; , [ lat_1 , long_1 ] } ... { &quot;city name 2&quot; , [ lat_2 , long_2 ] } LiveSelect . update ( change_msg , cities ) { :noreply , socket } end @impl true def handle_event ( &quot;change&quot; , %{ &quot;my_form&quot; =&gt; %{ &quot;live_select&quot; =&gt; city_coords } } , socket ) do IO . puts ( &quot;You selected a city located at: \#{ city_coords } &quot; ) { :noreply , socket } end If you have multiple LiveSelect elements, you can assign them custom ids to distinguish between them: Template: &lt; . form for = { :my_form } let = { f } phx - change = &quot;change&quot; &gt; &lt; % = live_select f , :city_search , id : &quot;city-search&quot; % &gt; &lt; % = live_select f , :album_search , id : &quot;album-search&quot; % &gt; &lt; / . form &gt; LiveView: def handle_info ( { &quot;live_select_change&quot; , change_msg } , socket ) do options = case chang_msg . id do &quot;city-search&quot; -&gt; City . search ( change_msg . text ) &quot;album-search&quot; -&gt; Album . search ( change_msg . text ) end LiveSelect . update ( change_msg , options ) { :noreply , socket } end","ref":"LiveSelect.html","title":"LiveSelect","type":"module"},{"doc":"Renders a LiveSelect input in a form with a given field name. Opts: msg_prefix - the prefix of messages sent by LiveSelect to the parent component. Defaults to &quot;live_select&quot; search_term_min_length - the minimum length of text in the search field that will trigger an update of the dropdown. It has to be a positive integer. Defaults to 3. id - assign a specific id to the component. Useful when you have multiple LiveSelect components in the same view. Defaults to: &quot;form_name_field_name_component&quot; style - either :daisyui for daisyui styling (default) or :none for no styling. See the &quot;Styles&quot; section above. container_class - See the &quot;Styles&quot; section above for this and the following options. container_extra_class text_input_class text_input_extra_class text_input_selected_class dropdown_class dropdown_extra_class active_option_class","ref":"LiveSelect.html#live_select/3","title":"LiveSelect.live_select/3","type":"function"},{"doc":"Update a LiveSelect component with new options. update_request must be the original update request message received from the component, and options is the new list of options that will be used to fill the dropdown.","ref":"LiveSelect.html#update/2","title":"LiveSelect.update/2","type":"function"},{"doc":"LiveSelect is a stateful LiveView component that implements a dynamic search and selection field that can be filled dynamically by your application. It has no external dependencies apart from LiveView. It comes with optional pre-configured styles for DaisyUI .","ref":"readme.html","title":"LiveSelect","type":"extras"},{"doc":"To install, add this to your dependencies: [ { :live_select , &quot;~&gt; 0.1.0&quot; } ]","ref":"readme.html#installation","title":"LiveSelect - Installation","type":"extras"},{"doc":"LiveSelect relies on Javascript hooks to work. You need to add LiveSelect 's hooks to your live socket. In your app.js file: import live_select from &quot;live_select&quot; ... // if you don &#39; t have any other hooks you can do this let liveSocket = new LiveSocket ( &quot;/live&quot; , Socket , { params : { _csrf_token : csrfToken } , hooks : live_select } ) // if you have other hooks ( called &quot;my_hooks&quot; ) you can do this : const hooks = Object . assign ( my_hooks , live_select ) let liveSocket = new LiveSocket ( &quot;/live&quot; , Socket , { params : { _csrf_token : csrfToken } , hooks } )","ref":"readme.html#javascript-hooks","title":"LiveSelect - Javascript Hooks","type":"extras"},{"doc":"LiveSelect supports 2 styling options: styling with daisyUI or custom styling. The choice of styling is controlled using the style option in LiveSelect.live_select/3 . If you want to use daisyUI styles, you'll have to install daisyUI. This is as simple as adding an additional plugin to your tailwind.config.js Moreover, in order for tailwind to see the daisyUI classes used by LiveSelect , you need to add the following line to the content section in your tailwind.config.js : module . exports = { content : [ ... &#39;../deps/live_select/lib/live_select/component.*ex&#39; ] , ... } That's it! Now your LiveSelect component will use pre-configured daisyUI styles. NOTE: you might need an additional .. in the path if your application is an umbrella app","ref":"readme.html#styling","title":"LiveSelect - Styling","type":"extras"},{"doc":"The repository includes a showcase app you can use to play around with the different options and parameter for LiveSelect . To start the showcase app, simply run: PORT=4001 mix phx.server from within the cloned repository. The app will be available at http://localhost:4001 . The showcase app shows the messages and events that your LiveView receives. For each event or message, the app shows function head of the callback that your LiveView needs to implement in order to handle the event. This allows you to quickly copy and paste the function definition into your live view.","ref":"readme.html#showcase-app","title":"LiveSelect - Showcase app","type":"extras"},{"doc":"Refer to the online documentation .","ref":"readme.html#usage","title":"LiveSelect - Usage","type":"extras"},{"doc":"[X] Add package.json to enable import live_select from &quot;live_select&quot; [X] Make sure component classes are included by tailwind [X] Enable custom styling [X] Rename LiveSelect.render to live_select [ ] Enable slots [ ] Enable tailwind styles","ref":"readme.html#todo","title":"LiveSelect - TODO","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"First version 🎉","ref":"changelog.html#0-1-0","title":"Changelog - 0.1.0","type":"extras"}]